Skip to main content

Browser Support Changes - January 1

Posted Date: 21 Dec 2016

Effective Date: 1 Jan 2017

Effective January 1, 2017 University systems that rely on the technology required to run browser plugins, including Java and Silverlight, will now only function in Internet Explorer 11.

Users who have issues accessing a University system or service should try using Internet Explorer 11.

Firefox is discontinuing NPAPI (Netscape Plugin Application Programming Interface) support as of the end of 2016. Additionally, Chrome and Edge already do not support NPAPI, and support is being phased out in Safari. Internet Explorer 11 is the only remaining browser supporting this technology.

University Systems Affected

The most commonly used University systems affected by this change are listed below.

This is not a comprehensive list. The omission of a system from this list does not mean it is unaffected. If you have questions please contact the IT Support Center.

End User Impact

Those experiencing issues accessing a University system or service should try using Internet Explorer 11, or contact their IT support staff for assistance.

FAMIS: This change only affects FAMIS Admin used by central Facilities Management.

Kronos: Internet Explorer 11 is required to access the Java version of Kronos. No action is required for users accessing the non-Java version.

Additional Information:
Back to top